aboutsummaryrefslogtreecommitdiff
path: root/bin/app-conf
diff options
context:
space:
mode:
authorTrygve Laugstøl <trygvis@inamo.no>2013-01-27 12:58:25 +0100
committerTrygve Laugstøl <trygvis@inamo.no>2013-01-27 12:58:25 +0100
commit11c930f71db58201994265b71a8f76187f1dbda1 (patch)
treeb0f90a4d631b946e4cb3d3755e9da1e3198aee71 /bin/app-conf
parent6076c500405b7759845496dce6d3b9e1dc619cca (diff)
downloadapp.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.gz
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.bz2
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.xz
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.zip
o Adding a common header to all scripts.
o Disabling un-used tests and apps for now.
Diffstat (limited to 'bin/app-conf')
-rwxr-xr-xbin/app-conf12
1 files changed, 5 insertions, 7 deletions
diff --git a/bin/app-conf b/bin/app-conf
index b890d6d..3602a39 100755
--- a/bin/app-conf
+++ b/bin/app-conf
@@ -1,11 +1,9 @@
#!/bin/bash
-# HEADER START
-if [[ $APPSH_HOME == "" ]]
-then
- APPSH_HOME=`dirname "$0"`
- APPSH_HOME=`cd "$APPSH_HOME/.." && pwd`
-fi
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
. $APPSH_HOME/lib/common
# HEADER END
@@ -125,7 +123,7 @@ case "$command" in
exit 1
fi
- conf_delete "$1" "$2"
+ conf_delete "$1"
;;
*)
if [ -z "$command" ]